import request from '@/utils/request'

// 查询消息列表
export function listMessage(query) {
  return request({
    url: '/system/message/list',
    method: 'get',
    params: query
  })
}

// 查询消息详细
export function getMessage(id) {
  return request({
    url: '/system/message/' + id,
    method: 'get'
  })
}

// 新增消息
export function addMessage(data) {
  return request({
    url: '/system/message',
    method: 'post',
    data: data
  })
}

// 修改消息
export function updateMessage(data) {
  return request({
    url: '/system/message',
    method: 'put',
    data: data
  })
}

// 删除消息
export function delMessage(id) {
  return request({
    url: '/system/message/' + id,
    method: 'delete'
  })
}


// 全部标记已读
export function allMarkedRead(data) {
  return request({
    url: '/system/message/allMarkedRead',
    method: 'post',
    data: data
  })
}


// 获取用户统计
export function getUserMsgCount(id) {
  return request({
    url: '/system/message/user/msg/count/' + id,
    method: 'get'
  })
}
